package progressBarThread;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

/**
 * @author Valre VIANDIER
 *
 */
class LongAction {
    public void traitementLong(JProgressBar pBar, JLabel lab) {
        // initialisation de la progressBar au dbut du traitement
        pBar.setMinimum(0);
        pBar.setMaximum(99);
        pBar.setValue(0);
        
        // Traitement
        for( int i = 0; i < 100; i++ ) {
            System.out.print(".");
            pBar.setValue(i); // Met  jour l'avancement du progressBar
            try {
            	lab.setText(Integer.toString(i));
                // Pause pour simuler un traitement
                Thread.sleep(100);
            } catch (InterruptedException e) {}
        }
        System.out.println("") ;
    }
}

public class Q3 extends JFrame {
	  JProgressBar jBar = new JProgressBar();
	  GridLayout layout = new GridLayout(2,1);
	  JButton btnAction = new JButton("Lancer le traitement");
	  JLabel lab = new JLabel("");

	  public Q3() {
	    // Construction de la fentre de test
	    Container contentPane = getContentPane();
	    contentPane.setLayout(new GridLayout(3,1));
	    contentPane.add(jBar);
	    contentPane.add(lab);
	    contentPane.add(btnAction);
	    setTitle("Test de progressBar");
	    // Ajout du listener du bouton
		btnAction.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				// cration d'un thread d'excution
				Thread t = new Thread() {
					public void run() {
						// Instanciation et lancement du traitement
						LongAction action = new LongAction();
						action.traitementLong(jBar,lab);
					}
				};
				t.start();
			}
		});
		pack();
	    setVisible(true);
	  }
	  
	  public static void main(String[] args) {
	    new Q3();
	  }

}
