package tdAnneauComposition;

public class Anneau extends Groupe {
	public Anneau(Ensemble ens, BinOp add, BinOp mult, Element neutreAdd, Element neutreMult, UnOp oppose) {
		super(ens, add, neutreAdd, oppose);
		monMult = mult;
		monNeutreMult = neutreMult;
	}
	public Element mult(Element a, Element b) {
		return monMult.appliquer(a, b);
	}
	/** Note: getNeutre donne le neutre de l'addition. 
	 * Comment faire mieux?
	 */
	public Element getNeutreMult() {
		return monNeutreMult;
	}
	private BinOp monMult;
	private Element monNeutreMult;
}
